<?php 
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Android Fusion NewsReader 1.00
| Author: Douwe Yntema
| Download:
| http://www.douwe.schoonheidssalonanneke.nl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../../maincore.php";
require_once "includes/functions.php";
require_once 'bootstrap.php';

$items_per_page = $settings['newsperpage'];

if (!isset($_GET['readmore']) || !isnum($_GET['readmore'])) {


	$rows = dbcount("(news_id)", DB_NEWS, groupaccess('news_visibility')." 
						AND (news_start='0'||news_start<=".time().")
						AND (news_end='0'||news_end>=".time().")
						AND news_draft='0'");

	if (!isset($_GET['currentpage']) || !isnum($_GET['currentpage'])) { $_GET['currentpage'] = 0; }
	$rowstart = $_GET['currentpage'] * $items_per_page;

	if ($rows) {
	$query = "SELECT tn.*, tc.*, tu.user_id, tu.user_name, tu.user_status, news_news
	FROM ".DB_NEWS." tn
	LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
	LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
	WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().")
	AND (news_end='0'||news_end>=".time().") AND news_draft='0'
	GROUP BY news_id
	ORDER BY news_sticky DESC, news_datestamp DESC LIMIT ".$rowstart.",".$items_per_page;


	$result = dbquery($query);
	$JsonArray = array();
	$na = array();
	while ($data = dbarray($result)) {

   $mdata = array();
   $mdata['news_id'] = $data['news_id'];
   $mdata['news_subject'] = convert_smart_quotes($data['news_subject']);
   $mdata['news_news'] = convert_smart_quotes($data['news_news']);
   $mdata['user_name'] = convert_smart_quotes($data['user_name']). " ".$locale['global_071'].showdate("newsdate", $data['news_datestamp']); 
   $mdata['news_reads'] = $data['news_reads'].$locale['global_074'];
   $na[] = $mdata;
   }


	$JsonArray['news'] = $na;
	$JsonArray['paging'] = json_pagination($rows,$items_per_page,$_GET['currentpage']);

	echo json_encode($JsonArray,JSON_PRETTY_PRINT);
}

} else {
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

		$query = "SELECT tn.*, tc.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_NEWS." tn
		LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
		LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
		WHERE ".groupaccess('news_visibility')." AND news_id='".$_GET['readmore']."' AND news_draft='0'
		LIMIT 1";
		$result = dbquery($query);
		
		
	$JsonArray = array();
	$na = array();
	$data = dbarray($result);
	if (!isset($_POST['post_comment']) && !isset($_POST['post_rating'])) {
		$result2 = dbquery("UPDATE ".DB_NEWS." SET news_reads=news_reads+1 WHERE news_id='".$_GET['readmore']."'");
		$data['news_reads']++;
	}

   $mdata = array();
   $mdata['news_id'] = $data['news_id'];
   $mdata['news_extended'] = convert_smart_quotes($data['news_extended']);
   $na[] = $mdata;
  

	$JsonArray['news_ext'] = $na;

	echo json_encode($JsonArray,JSON_PRETTY_PRINT);		
		
}
?>
				  
